Verify API key
curl --request GET \
--url https://api.rigaly.com/api/v1/me \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rigaly.com/api/v1/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.rigaly.com/api/v1/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rigaly.com/api/v1/me",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"message": "<string>",
"data": {
"business": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Coffee Corner",
"email": "owner@example.com",
"status": "approved",
"country": "US"
},
"api_key": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Production store",
"prefix": "rgly_sk_3fA9"
}
}
}{
"success": false,
"error": {
"message": "Invalid API key"
}
}Meta
Verify API key
Verifies the API key and returns the authenticated business and key metadata. Use it as a connectivity check.
GET
/
api
/
v1
/
me
Verify API key
⌘I